OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.FramebufferSamplePositions

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDFramebufferSamplePositions :: MonadIO m => m Bool
- gl_AMD_framebuffer_sample_positions :: Bool
- pattern GL_ALL_PIXELS_AMD :: GLenum
- pattern GL_PIXELS_PER_SAMPLE_PATTERN_X_AMD :: GLenum
- pattern GL_PIXELS_PER_SAMPLE_PATTERN_Y_AMD :: GLenum
- pattern GL_SUBSAMPLE_DISTANCE_AMD :: GLenum
- glFramebufferSamplePositionsfvAMD :: MonadIO m => GLenum -> GLuint -> GLuint -> Ptr GLfloat -> m ()
- glGetFramebufferParameterfvAMD :: MonadIO m => GLenum -> GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glGetNamedFramebufferParameterfvAMD :: MonadIO m => GLuint -> GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glNamedFramebufferSamplePositionsfvAMD :: MonadIO m => GLuint -> GLuint -> GLuint -> Ptr GLfloat -> m ()

# Extension Support

glGetAMDFramebufferSamplePositions :: MonadIO m => m Bool Source #

Is the AMD_framebuffer_sample_positions extension supported?

gl_AMD_framebuffer_sample_positions :: Bool Source #

Is the AMD_framebuffer_sample_positions extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDFramebufferSamplePositions` in those cases instead.

# Enums

pattern GL_ALL_PIXELS_AMD :: GLenum Source #

pattern GL_PIXELS_PER_SAMPLE_PATTERN_X_AMD :: GLenum Source #

pattern GL_PIXELS_PER_SAMPLE_PATTERN_Y_AMD :: GLenum Source #

pattern GL_SUBSAMPLE_DISTANCE_AMD :: GLenum Source #

# Functions

glFramebufferSamplePositionsfvAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLuint | `numsamples`.
-> GLuint | `pixelindex`.
-> Ptr GLfloat | `values`.
-> m () |

glGetFramebufferParameterfvAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `pname` of type FramebufferAttachmentParameterName.
-> GLuint | `numsamples`.
-> GLuint | `pixelindex`.
-> GLsizei | `size`.
-> Ptr GLfloat | `values`.
-> m () |

glGetNamedFramebufferParameterfvAMD Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `pname`.
-> GLuint | `numsamples`.
-> GLuint | `pixelindex`.
-> GLsizei | `size`.
-> Ptr GLfloat | `values`.
-> m () |

glNamedFramebufferSamplePositionsfvAMD Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLuint | `numsamples`.
-> GLuint | `pixelindex`.
-> Ptr GLfloat | `values`.
-> m () |